CAD Forums > CAD General

Blocks ??

(1/4) > >>

param:
I have searched in 3 different books and can't find how to mirror blocks.
is it possible ot do that.

Thanks

param :roll:

CAB:
Is this a trick question? :shock:

mirror command mirrors blocks.

What is the problem you are having?

CAB

Keith™:
Must be a trick question...or he is using textin his blocks that WILL NOT show correctly in a mirrored block UNLESS it is an attribute...

CAB:
Daron's post here may be of some help.

CAB:
Found this:


--- Quote ---Message 4 in thread
From: Doug Broad (dbroad@nash.cc.nc.us)
Subject: Re: Improving weak routine (Suggestions?)
 
 
View this article only
Newsgroups: autodesk.autocad.customization
Date: 2002-03-11 12:40:52 PST
 

I guess it was "weak" too. <G>  Try this:
--- End quote ---



--- Code: ---;;unmirror attributes C:UMA Rev 2.
;;Select insert objects and attributes will become unmirrored.
(defun c:uma  (/ ss i e ei) ;D. C. Broad- 2002
  (and (setq ss (ssget (list (cons 0 "insert") (cons 66 1))));insert with attributes
       (setq i 0)
       (repeat (sslength ss)    ;for each insert
  (setq e  (entnext (ssname ss i))
        i  (1+ i)
        ei (entget e))
  (while (/= (cdr (assoc 0 ei)) "SEQEND") ;for each attribute
    (setq ei (subst (cons 50 0.0)(assoc 50 ei) ei));rotate to horizontal
    (ENTMOD (setq ei (subst (cons 71 0)(assoc 71 ei) ei)));change text flags
    (entupd e)
    (setq e  (entnext e)
   ei (entget e))))))


--- End code ---

Navigation

[0] Message Index

[#] Next page

Go to full version